<?php add_action( 'vc_before_init', 'dt_sc_widget_ads_medium_vc_map' );
function dt_sc_widget_ads_medium_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Widget Ads Medium", 'designthemes-blog' ),
		"base" => "dt_sc_widget_ads_medium",
		"icon" => "dt_sc_widget_ads_medium",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show medium advertisment widget.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter title of this widget', 'designthemes-blog' )
			),

			// Image Url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image URL', 'designthemes-blog'),
				'param_name' => 'image_url',
			),

			// Ads Link
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link', 'designthemes-blog' ),
				'param_name' => 'ads_link',
				'description' => esc_html__( 'Enter link of image', 'designthemes-blog' )
			),

			// Ads Caption
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Caption', 'designthemes-blog' ),
				'param_name' => 'ads_caption',
				'description' => esc_html__( 'Enter caption of image', 'designthemes-blog' )
			),
		)
	) );
}?>