<?php add_action( 'vc_before_init', 'dt_sc_widget_ads_small_vc_map' );
function dt_sc_widget_ads_small_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Widget Ads Small", 'designthemes-blog' ),
		"base" => "dt_sc_widget_ads_small",
		"icon" => "dt_sc_widget_ads_small",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show small advertisment widget.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter title of this widget', 'designthemes-blog' )
			),

			// Image Url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image 1', 'designthemes-blog'),
				'param_name' => 'image1',
			),

			// Ads Link
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link 1', 'designthemes-blog' ),
				'param_name' => 'link1',
				'description' => esc_html__( 'Enter link of image 1', 'designthemes-blog' )
			),
			// Image Url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image 2', 'designthemes-blog'),
				'param_name' => 'image2',
			),

			// Ads Link
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link 2', 'designthemes-blog' ),
				'param_name' => 'link2',
				'description' => esc_html__( 'Enter link of image 2', 'designthemes-blog' )
			),
			
			// Image Url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image 3', 'designthemes-blog'),
				'param_name' => 'image3',
			),

			// Ads Link
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link 3', 'designthemes-blog' ),
				'param_name' => 'link3',
				'description' => esc_html__( 'Enter link of image 3', 'designthemes-blog' )
			),
			
			// Image Url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image 4', 'designthemes-blog'),
				'param_name' => 'image4',
			),

			// Ads Link
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link 4', 'designthemes-blog' ),
				'param_name' => 'link4',
				'description' => esc_html__( 'Enter link of image 4', 'designthemes-blog' )
			)
		)
	) );
}?>