<?php
if (! class_exists ( 'DTBlogAddonWidgets' )) {

	class DTBlogAddonWidgets {

		function __construct() {

			require_once plugin_dir_path ( __FILE__ ) . 'widget-headlines.php';
			require_once plugin_dir_path ( __FILE__ ) . 'widget-tabbed-posts.php';
			require_once plugin_dir_path ( __FILE__ ) . 'widget-about.php';

			add_action( 'admin_enqueue_scripts', array( $this, 'dt_blog_admin_scripts' ) );
			add_action( 'widgets_init', array ( $this, 'dt_blog_widgets_init' ) );

		}

		function dt_blog_admin_scripts() {

			wp_enqueue_script('dt-blog-media', plugins_url ('designthemes-blog-addon') . '/widgets/js/media.js', array ('media-upload'), false, true );
		}

		function dt_blog_widgets_init() {

			register_widget('Maaya_Headlines');
			register_widget('Maaya_Tabbed_Posts');
			register_widget('Maaya_About');
		}
	}
} ?>